using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Marco.Pms.DataAccess.Migrations
{
    /// <inheritdoc />
    public partial class Added_New_Permission_To_Download_Document : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "DocumentCategoryMasters",
                keyColumn: "Id",
                keyValue: new Guid("2d9fb9cf-db53-476b-a452-492e88e2b51f"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2627));

            migrationBuilder.UpdateData(
                table: "DocumentCategoryMasters",
                keyColumn: "Id",
                keyValue: new Guid("cfbff269-072b-477a-b48b-72cdc57dd1d3"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2617));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("07ca7182-9ac0-4407-b988-59901170cb86"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2718));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("16c40b80-c207-4a0c-a4d3-381414afe35a"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2700));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("260abd7e-c96d-4ae4-a29b-9b5bb5d24ebd"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2710));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("2d1d7441-46a8-425e-9395-94d0956f8e91"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2695));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("336225ac-67f3-4e14-ba7a-8fad03cf2832"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2684));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("5668de00-5d84-47f7-b9b5-7fefd1219f05"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2731));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("6344393b-9bb1-45f8-b620-9f6e279d012c"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2690));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("7cc41c91-23cb-442b-badd-f932138d149f"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2727));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("846e89a9-5735-45ec-a21d-c97f85a94ada"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2722));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("a1a190ba-c4a8-432f-b26d-1231ca1d44bc"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2714));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("f76d8215-d399-4f0e-b414-12e427f50be3"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 30, 4, 55, 10, 359, DateTimeKind.Utc).AddTicks(2705));

            migrationBuilder.InsertData(
                table: "FeaturePermissions",
                columns: new[] { "Id", "Description", "FeatureId", "IsEnabled", "Name" },
                values: new object[] { new Guid("404373d0-860f-490e-a575-1c086ffbce1d"), "Grants a user the authority to download the document", new Guid("a8cf4331-8f04-4961-8360-a3f7c3cc7462"), true, "Download Document" });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "FeaturePermissions",
                keyColumn: "Id",
                keyValue: new Guid("404373d0-860f-490e-a575-1c086ffbce1d"));

            migrationBuilder.UpdateData(
                table: "DocumentCategoryMasters",
                keyColumn: "Id",
                keyValue: new Guid("2d9fb9cf-db53-476b-a452-492e88e2b51f"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(8988));

            migrationBuilder.UpdateData(
                table: "DocumentCategoryMasters",
                keyColumn: "Id",
                keyValue: new Guid("cfbff269-072b-477a-b48b-72cdc57dd1d3"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(8981));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("07ca7182-9ac0-4407-b988-59901170cb86"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9059));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("16c40b80-c207-4a0c-a4d3-381414afe35a"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9042));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("260abd7e-c96d-4ae4-a29b-9b5bb5d24ebd"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9051));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("2d1d7441-46a8-425e-9395-94d0956f8e91"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9038));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("336225ac-67f3-4e14-ba7a-8fad03cf2832"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9028));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("5668de00-5d84-47f7-b9b5-7fefd1219f05"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9072));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("6344393b-9bb1-45f8-b620-9f6e279d012c"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9034));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("7cc41c91-23cb-442b-badd-f932138d149f"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9068));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("846e89a9-5735-45ec-a21d-c97f85a94ada"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9063));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("a1a190ba-c4a8-432f-b26d-1231ca1d44bc"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9055));

            migrationBuilder.UpdateData(
                table: "DocumentTypeMasters",
                keyColumn: "Id",
                keyValue: new Guid("f76d8215-d399-4f0e-b414-12e427f50be3"),
                column: "CreatedAt",
                value: new DateTime(2025, 8, 28, 11, 18, 55, 873, DateTimeKind.Utc).AddTicks(9046));
        }
    }
}
